#!/bin/sh

set -ex

# Setup a fresh nova instance for executing tests


# Register bazaar.launchpad.net
cat <<EOF >> ~/.ssh/known_hosts
bazaar.launchpad.net,91.189.90.11,91.189.95.84 ssh-rsa AAAAB3NzaC1yc2EAAAABIwAAAIEApuXd4MHTfr1qLXWeClxTTQYZQblCA+nHvbjAjowkEd2Y4kpvntJOVewoSwa22zTbiYSmmssCuCkFHwcpnZBZN5qMWewjizav30WfeyLR5Kng5qucxmFAEkNJjCJiu194wRNKu0cD99Uk/6X/AfsWGLgmL5pa5UFk62aW+iZLUQ8=
EOF

# Create the working branch
BRANCH=$(bzr config nova_branch)
mkdir -p sso
cd sso
bzr branch $BRANCH work

# Bootstrap to be ready to execute tests
cd work
make bootstrap
