from django_statsd.middleware import GraphiteRequestTimingMiddleware
from piston.resource import Resource


class PistonRequestTimingMiddleware(GraphiteRequestTimingMiddleware):
    """statsd's timing specific to Piston."""

    def process_view(self, request, view_func, view_args, view_kwargs):
        if isinstance(view_func, Resource):
            view_func = getattr(view_func, 'handler', view_func)
        super(PistonRequestTimingMiddleware, self).process_view(
            request, view_func, view_args, view_kwargs)
