# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import models, migrations

# An essentially no-op migration to make Django happy about changing a field
# name while keeping the db_column the same.

class Migration(migrations.Migration):

    dependencies = [
        ('identityprovider', '0005_authlog'),
    ]

    operations = [
        migrations.AlterField(
            model_name='authtoken',
            name='token',
            field=models.TextField(unique=True, db_column=b'token'),
        ),
        migrations.RenameField(
            model_name='authtoken',
            old_name='token',
            new_name='hashed_token',
        ),
    ]
