from django import template
from django.utils.text import slugify

register = template.Library()


@register.simple_tag
def faq_title(title):
    slug = slugify(title)
    return '<h2 class="faq-q" id="%s">%s</h2>' % (slug, title)
