# Copyright 2016 Canonical Ltd.  This software is licensed under
# the GNU Affero General Public License version 3 (see the file
# LICENSE).
from django.utils import six
from django.utils.functional import lazy
from django.utils.safestring import mark_safe

# https://docs.djangoproject.com/en/1.7/topics/i18n/translation/
# other-uses-of-lazy-in-delayed-translations
mark_safe_lazy = lazy(mark_safe, six.text_type)
