var concat = require('gulp-concat');
var csslint = require('gulp-csslint');
var csso = require('gulp-csso');
var del = require('del');
var gulp = require('gulp');
var prefix = require('gulp-autoprefixer');

var paths = {
    css: {
        src: ['./src/identityprovider/static_src/css/*.css'],
        dest: './src/identityprovider/static/css/'
    }
};


gulp.task('default', ['watch', 'css']);

gulp.task('watch', function () {
    var watcher = gulp.watch(paths.css.src, ['css']);
});

gulp.task('clean', function(cb) {
    del([paths.css.dest], cb);
});

gulp.task('css', ['clean'], function() {
    gulp.src(paths.css.src)
    .pipe(prefix(["last 2 versions"])) // https://github.com/ai/autoprefixer
    // disabled lint until CSS is refactored
    // .pipe(csslint('csslintrc.json'))
    // .pipe(csslint.reporter())
    .pipe(concat('all.css'))
    .pipe(csso())
    .pipe(gulp.dest(paths.css.dest));
});
