"""A list of whitelisted URLs to validate V1 tokens on request validation."""

import re

SCA = 'https://software-center.ubuntu.com/api/2.0/'
DEVPORTAL = 'https://myapps.developer.ubuntu.com/dev/api/'
RNR = 'https://reviews.ubuntu.com/reviews/api/1.0/reviews/'

URLS = [
    SCA + 'applications_qa/',  # application_qa_resource
    SCA + 'subscription/',  # subscription_resource
    SCA + 'subscriptions/',  # subscriptions_resource
    SCA + 'user/',  # user_resource
    DEVPORTAL + 'app-metadata/',  # app_metadata_resource
    DEVPORTAL + 'applications_qa/',  # application_qa_resource
    RNR,
]

URL_WHITELIST = [re.compile('^' + url) for url in URLS]
