import subprocess
import unittest


class Lint(unittest.TestCase):

    def test_lint(self):
        lint = ['make', 'lint']
        try:
            subprocess.check_output(lint, stderr=subprocess.STDOUT)
        except subprocess.CalledProcessError as e:
            # If at least one error is found, the exception is raised. We
            # prepend a '\n' so 'AssertionError is on a line by itself.
            self.assertEqual('', e.output, '\n' + e.output)
