
import socket
import urllib
import urllib2


def http_request_with_timeout(url, data=None, headers=None, timeout=5,
                              opener=None):
    if opener is None:
        urlopen = urllib2.urlopen
    else:
        urlopen = opener.open
    if data is not None:
        data = urllib.urlencode(data)
    if headers is None:
        headers = {}
    request = urllib2.Request(url, headers=headers, data=data)
    old_timeout = socket.getdefaulttimeout()
    try:
        socket.setdefaulttimeout(timeout)
        response = urlopen(request)
    finally:
        socket.setdefaulttimeout(old_timeout)
    return response
